Subject: Re: bug#36916: 27.0.50; bug-reference: Make push button action customizable

From: Michael Albinus <[email-masked]>
Date: Sun, 04 Aug 2019 13:06:05 +0200

Michael Heerdegen <[email-masked]> writes:

> Hi,

Hi Michael.

> `bug-reference-push-button' hardcodes `browse-url' - I have to
> redefine/override the complete function definition if I want to, say,
> call `debbugs-gnu-bugs' instead of opening a browser when I click on the
> bug button.  There is even only a url present in the button data, so I
> have to parse out the button number from that url string.  Would be nice
> if it would be easier to change the default behavior.

There is the minor mode `debbugs-browse-mode'. Enable it, that's it.

See also (info "(debbugs-ug) Minor Mode")

> TIA, Michael.

Best regards, Michael.